## golang-github-etcd-io-gofail 0.0.0+git.2022.09.25.d0d2a96a6e

=== Makefile ===
SRCS=$(filter-out %_test.go, $(wildcard *.go */*.go))

.PHONY: all
all: gofail

.PHONY: clean
clean:
	rm -f gofail

.PHONY: test
test:
	go test -v --race -cpu=1,2,4 ./code/ ./runtime/

.PHONY: fmt
fmt:
	gofmt -w -l -s $(SRCS)

gofail: $(SRCS)
	go build -v

=== debian/changelog ===
golang-github-etcd-io-gofail (0.0.0+git.2022.09.25.d0d2a96a6e-4) unstable; urgency=medium

  * Fix FTBFS on all arch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Nov 2022 14:02:41 +0100

golang-github-etcd-io-gofail (0.0.0+git.2022.09.25.d0d2a96a6e-3) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Oct 2022 23:14:50 +0200

golang-github-etcd-io-gofail (0.0.0+git.2022.09.25.d0d2a96a6e-2) unstable; urgency=medium

  * Set golang team as maintainer, me as uploader.
  * Set Architecture: all.
  * Add a golang-github-etcd-io-gofail package containing /usr/bin/gofail.
  * rm .gitignore.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Oct 2022 13:42:29 +0200

golang-github-etcd-io-gofail (0.0.0+git.2022.09.25.d0d2a96a6e-1) unstable; urgency=medium

  * Initial release. (Closes: #1022807)

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Sep 2022 13:19:14 +0200

=== debian/control ===
Source: golang-github-etcd-io-gofail
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 openstack-pkg-tools,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-etcd-io-gofail
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-etcd-io-gofail.git
Homepage: https://github.com/etcd-io/gofail

Package: golang-github-etcd-io-gofail
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: implementation of failpoint
 This package provides an implementation of failpoint for golang. Failpoints
 are special comments that include a failpoint variable declaration and some
 trigger code.

Package: golang-github-etcd-io-gofail-dev
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: implementation of failpoint - (library)
 This package provides an implementation of failpoint for golang. Failpoints
 are special comments that include a failpoint variable declaration and some
 trigger code.
 .
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := go.etcd.io/gofail
export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	@echo "Tests are disabled for now"

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/golang-github-etcd-io-gofail-dev/usr/share/gocode/src/go.etcd.io/gofail/.gitignore

## golang-github-etcd-io-gofail 0.1.0

=== Makefile ===
--- 
+++ 
@@ -15,5 +15,6 @@
 fmt:
 	gofmt -w -l -s $(SRCS)
 
-gofail: $(SRCS)
-	go build -v
+gofail: 
+	GO_BUILD_FLAGS="-v" ./build.sh
+	./gofail --version

=== debian/changelog ===
golang-github-etcd-io-gofail (0.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.0
  * debian/control:
    - Add "Rules-Requires-Root: no" to debian/control
    - Use dh-sequence-golang instead of dh-golang and --with=golang
    - Bump versioned dependencies as per go.mod
    - Drop unused build dependency on openstack-pkg-tools
    - Drop -dev package’s unused dependency on ${shlibs:Depends}
    - Mark library package with "Multi-Arch: foreign"
    - Set source package to "Section: golang"
      while keeping binary package in "Section: admin"
    - Add Static-Built-Using field for binary package
    - Bump Standards-Version to 4.6.2 (no change)
  * debian/rules:
    - Invoke dh with --builddirectory=_build
    - Replace override_dh_install with execute_after_dh_install
  * debian/copyright: Add Upstream-Contact field
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Add debian/watch
  * Add debian/upstream/metadata

 -- Anthony Fok <foka@debian.org>  Sat, 04 Nov 2023 05:54:30 -0600

=== debian/control ===
Source: golang-github-etcd-io-gofail
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any (>= 2:1.17~),
 golang-github-stretchr-testify-dev (>= 1.8.1),
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-etcd-io-gofail
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-etcd-io-gofail.git
Homepage: https://github.com/etcd-io/gofail

Package: golang-github-etcd-io-gofail
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: implementation of failpoint
 This package provides an implementation of failpoint for golang. Failpoints
 are special comments that include a failpoint variable declaration and some
 trigger code.

Package: golang-github-etcd-io-gofail-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: implementation of failpoint - (library)
 This package provides an implementation of failpoint for golang. Failpoints
 are special comments that include a failpoint variable declaration and some
 trigger code.
 .
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := go.etcd.io/gofail
export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	@echo "Tests are disabled for now"

execute_after_dh_install:
	rm -fv $(CURDIR)/debian/golang-github-etcd-io-gofail-dev/usr/share/gocode/src/go.etcd.io/gofail/.gitignore

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/etcd-io/gofail/tags .*/v?(\d\S*)\.tar\.gz debian
